Bug 118243 - =head[34] POD in perl modules/scripts not skipped
Summary: =head[34] POD in perl modules/scripts not skipped
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: rpm (Show other bugs)
(Show other bugs)
Version: rawhide
Hardware: All Linux
medium
medium
Target Milestone: ---
Assignee: Jeff Johnson
QA Contact: Mike McLean
URL: http://search.cpan.org/~nwclark/perl-...
Whiteboard:
Keywords: Patch
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2004-03-14 13:29 UTC by Ville Skyttä
Modified: 2007-11-30 22:10 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-04-08 00:02:06 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Skip =head3 and =head4 POD directives too (1.04 KB, patch)
2004-03-14 13:31 UTC, Ville Skyttä
no flags Details | Diff
Skip =head3 and =head4 in perl.prov also (513 bytes, patch)
2004-03-14 14:20 UTC, Ville Skyttä
no flags Details | Diff

Description Ville Skyttä 2004-03-14 13:29:28 UTC
The semi-recently added =head3 and =head4 Perl POD documentation
directives are not skipped when finding dependencies, resulting in
false requirements.

Comment 1 Ville Skyttä 2004-03-14 13:31:14 UTC
Created attachment 98522 [details]
Skip =head3 and =head4 POD directives too

Here's the patch, against current rpm CVS HEAD.

Comment 2 Ville Skyttä 2004-03-14 14:20:12 UTC
Created attachment 98524 [details]
Skip =head3 and =head4 in perl.prov also

For completeness: in addition to attachment 98522 [details], it may be a good idea to
apply similar treatment to perl.prov.

Comment 3 Jeff Johnson 2004-04-08 00:02:06 UTC
Fixed in rpm-4.3.1-0.2 when built. Thanks for the patch.


Note You need to log in before you can comment on or make changes to this bug.